﻿using System;
using System.Configuration;
using System.Xml;

namespace Harold.Net.Web.Mvc.Extension
{
    [Serializable]
    public class ValidatorSection : ConfigurationSection
    {
        public const string ValidatorNamePropertyName = "name";
        public const string ValidatorTypePropertyName = "type";

        [ConfigurationProperty(ValidatorNamePropertyName, IsRequired = true)]
        public string Name
        {
            get
            {
                return this[ValidatorNamePropertyName] as string;
            }
        }

        [ConfigurationProperty(ValidatorTypePropertyName, IsRequired = true)]
        public string Type
        {
            get
            {
                return this[ValidatorTypePropertyName] as string;
            }
        }
    }
}
