﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Web.Mvc;

namespace Harold.Net.Web.Mvc.Extension
{
    public class ConfiguredModelValidatorProvider : ModelValidatorProvider
    {
        public override IEnumerable<ModelValidator> GetValidators(ModelMetadata metadata, ControllerContext context)
        {
            EntlibValidationAdapter adapter = new EntlibValidationAdapter(context);
            return adapter.GetModelValidators(metadata);
        }
    }
}
