﻿using System;
using System.Web.Mvc;

namespace Harold.Net.Web.Mvc.Extension
{
    public static class ModelValidatorProviderFactory
    {
        static ModelValidatorProvider _defaultProvider = new ConfiguredModelValidatorProvider();

        public static ModelValidatorProvider DefaultProvider
        {
            get
            {
                return _defaultProvider ?? new ConfiguredModelValidatorProvider();
            }
            set
            {
                _defaultProvider = value;
            }
        }
    }
}
