﻿//===========================================================================
// NameSpace: Bleum.ISMS.Common.ScheduledTasks
// FileName : ConfigManager.cs
// Desc     : 
//===========================================================================
// Copyright (C) 2009 Bleum Inc. All Rights Reserved
//===========================================================================
// Author               :  Harold Shen
// Create date          :  10/15/2009
// Latest updated date  :  
//===========================================================================

using System;
using System.Collections.Generic;
using System.Configuration;

using Microsoft.Practices.EnterpriseLibrary.Validation.Configuration;

namespace Harold.Net.Web.Mvc.Extension
{
    public class ExtensionConfigManager
    {
        public const string ValidationTagName = "aspnet.mvc.validation";

        public static ValidationSection GetValidation()
        {
            try
            {
                ValidationSection section = ConfigurationManager.GetSection(ValidationTagName) as ValidationSection;

                return section;
            }
            catch (Exception e)
            {
                
            }

            return null;
        }
    }
}
