﻿using System;

using Microsoft.Practices.EnterpriseLibrary.Validation.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Validation;

namespace Harold.Net.Web.Mvc.Extension
{
    public class MvcTypeConversionValidatorData : TypeConversionValidatorData
    {
        public MvcTypeConversionValidatorData() 
        {
            Type = typeof(MvcTypeConversionValidator);
        }

        public MvcTypeConversionValidatorData(string name)
            : base(name)
		{
            Type = typeof(MvcTypeConversionValidator);
        }

        protected override Validator DoCreateValidator(Type targetType)
        {
            return new MvcTypeConversionValidator(targetType, Negated);
        }
    }
}
